<template>
    <div class="flex-block">
            <div class="flex-block" style="margin-left: auto;">
                <div style="margin: 0 5px" v-for="(item, index) in authAction" :key="index">
                    <input type="radio" :id="item.name" :value="item.value" v-model="selectedAuthAction" @change="changeAuthAction($event)">
                    <label class="status-normal-color">{{item.name}}</label>
                </div>
            </div>
        </div>
</template>
<script>
export default {
    props: {
        setAction: {
            type: Number,
            required: true,
            default: 1
        },
    },
    watch: {
        setAction(val) {
            this.selectedAuthAction = val
        }
    },
    data() {
        return {
            selectedAuthAction: 1,
            authAction: [
                {
                    value: 0,
                    name: 'Login'
                },
                {
                    value: 1,
                    name: 'Register'
                },
            ],
        }
    },
    methods: {
        changeAuthAction($event) {
            this.$emit('changeAuthAction', this.selectedAuthAction);
        }
    }
}
</script>
<style lang="scss" scoped>
    @import '@/assets/scss/utils/vars.scss';
    .status-normal-color {
        color: $light-color
    }
    .status-warning-color {
        color: $warning-color
    }
    .status-danger-color {
        color: $danger-color
    }
</style>
